############################################################################
#
#	HTML-PAGE-MOZILLA
#
#	Defines a layout that is highly reminiscent of that used by the
#	Mozilla.org (see www.mozilla.org) site. Naturally their extremely cool
#	use of color and imagery lends additional drama to their site but
#	here is a layout that takes you a good step in the same direction! :)
#
#	 _______________________________________________________________
#	|								|
#	| page-title							|
#	|								|
#	|---------------------------------------------------------------|
#	|*		*|*						|
#	|		 |						|
#	| page-nav	 |	page-body				|
#	|		 |						|
#	|		 |						|
#	|		 |						|
#	|		 |						|
#	|		 |						|
#	|		 |						|
#	|		 |						|
#	|*		*|*						|
#	|---------------------------------------------------------------|
#	| page-footer							|
#	|_______________________________________________________________|
#
#	Example page definition:
#
#	page myPage
#	{
#		value = 	html-page-mozilla;
#		left-margin =	'120';
#		page-logo =	'';	# not used on this layout but on others
#		page-title =	'<img src="header.gif" width="600" height="60">';
#		page-nav =	navigation-bar;
#		page-body =	FILE( filename= 'text/myPage.text' );
#		page-footmark =	'';	# not used on this layout but on others
#		page-footer =	'<div align="center"><font size="-1">Copyright  1998 by Me</font></div>';
#	}
#
#   Optional properties:
#	nav-bgcolor		The color (including '#' symbol) for the page-nav background
#	big-bgcolor		The color (including '#' symbol) for the page-body background
#	frm-bgcolor		The color (including '#' symbol) for the border's color (must match images)
#	navbar-position		Either 'left' (==the default) or 'right'
#

#requires-version "2.0"

text html-page-mozilla
{
	#--- select the navigation bar position: right or left (left is the default)
	select-case = navbar-position;
	case:right =	table-begin
				MOZILLA-PANEL( bgcolor=big-bgcolor; text=page-body)
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=top align=right>&nbsp;</td>\n
				MOZILLA-PANEL( bgcolor=nav-bgcolor; text=page-nav)
			table-end;
	case:left =	table-begin
				MOZILLA-PANEL( bgcolor=nav-bgcolor; text=page-nav)
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=top align=right>&nbsp;</td>\n
				MOZILLA-PANEL( bgcolor=big-bgcolor; text=page-body)
			table-end;
	#--- default case for the layout order is same as 'left'
	case:	=	case:left;

	#--- define the table start/end portions, which don't change with the order of the nav-bar
	table-begin =	add-optional-frame-escape
			<table cellpadding=0 cellspacing=0 border=0 align=left width="100%">\n
			<tr>
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=top align=right>&nbsp;</td>\n
				<td colspan=7 bgcolor= HTML-Q(value=frm-bgcolor) >
					<font color= HTML-Q(value=big-bgcolor) > PAGE-TITLE </font>
				</td>
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=top align=right>&nbsp;</td>\n
			</tr>\n
#			</table>\n
#			<table cellpadding=0 cellspacing=0 border=0 align=left width="100%">\n
			<tr>\n
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=top align=right>&nbsp;</td>\n;
	table-end =		<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=top align=right>&nbsp;</td>\n
			</tr>\n
			<tr>\n
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=bottom align=right>&nbsp;</td>\n
				<td bgcolor= HTML-Q(value=nav-bgcolor)  valign=bottom> llcorner </td>\n
				<td bgcolor= HTML-Q(value=nav-bgcolor)  valign=bottom colspan=2 align=right> lrcorner </td>\n
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=bottom align=right>&nbsp;</td>\n
				<td bgcolor= HTML-Q(value=big-bgcolor)  valign=bottom> llcorner </td>\n
				<td bgcolor= HTML-Q(value=big-bgcolor)  valign=bottom colspan=2 align=right> lrcorner </td>\n
				<td bgcolor= HTML-Q(value=frm-bgcolor)  valign=bottom align=right>&nbsp;</td>\n
			</tr>\n
			<tr>\n
				<td bgcolor= HTML-Q(value=frm-bgcolor)  colspan=1><br></td>\n
				<td bgcolor= HTML-Q(value=frm-bgcolor)  colspan=7 valign=middle>
					<font color= HTML-Q(value=nav-bgcolor)  size="-1">
					PAGE-FOOTER
					</font>
				</td>\n
				<td bgcolor= HTML-Q(value=frm-bgcolor)  colspan=1><br></td>\n
			</tr>\n
			</table>;

	#--- set up some defaults for the optional values:
#	page-title = "Think about putting a title here; override this local definition!";
	nav-bgcolor = "#dddddd";
	big-bgcolor = "#ffffff";
	frm-bgcolor = "#000000";
}

###############################################################################################
# These are the four corners (ul=upper left, ur=upper right, lr=lower right, ll=lower left)
# Hey it's a SHORTCUT(!!) for a "text ulcorner { value = "..." }" definition
#
static text ulcorner = <img src="pix/corner-ul.gif" width=16 height=16 hspace=0 vspace=0 alt="*">;
static text urcorner = <img src="pix/corner-ur.gif" width=16 height=16 hspace=0 vspace=0 alt="*">;
static text lrcorner = <img src="pix/corner-lr.gif" width=16 height=16 hspace=0 vspace=0 alt="*">;
static text llcorner = <img src="pix/corner-ll.gif" width=16 height=16 hspace=0 vspace=0 alt="*">;
#
###############################################################################################

text add-optional-frame-escape
{
	if =	isdef frame-escape;
	then =	<font size=1 color="#888888"><a href="" target="_top">Escape from Frame</a></font><br>\n;
}

static text navbar-position = 'left';

text mozilla-panel
{
	value =	<td bgcolor= HTML-Q(value=bgcolor)  valign=top> ulcorner </td>\n
		<td bgcolor= HTML-Q(value=bgcolor)  valign=top>\n
			<br>\n
			<table cellpadding=0 cellspacing=4 border=0>\n
			<tr><td> text </td></tr>\n
			</table>\n
			<br>\n
		</td>\n
		<td bgcolor= HTML-Q(value=bgcolor)  valign=top align=right> urcorner </td>\n
}

#end of file
